Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.Configuration.NotConnectedExternalSensorConfiguration Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | List of all members
GLNeuroTech.Devices.BioRadio.Configuration.NotConnectedExternalSensorConfiguration Class Reference

Represents the configuration for an external sensor that is not actually connected. This is intended as a helper class to indicate that there is no sensor at a particular index. More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.Configuration.NotConnectedExternalSensorConfiguration:

## Public Member Functions

| NotConnectedExternalSensorConfiguration ()
| The default constructor for an Not Connected External Sensor Configuration More...
| NotConnectedExternalSensorConfiguration (byte[] bytes)
| Constructor for Not Connected External Sensor Configuration when we have a byte array passed for configuration. More...
Public Member Functions inherited from GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration
| ChannelConfiguration ()
| Channel configuration: set initial Name, Saved and Streamed More...
override bool | Equals (object obj)
| COmpare two channel configuration More...
override int | GetHashCode ()
| Get Hash Code for Name and Preset Code More...

## Additional Inherited Members

Properties inherited from GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration
string | ChannelType`[get]`
| A text label to describe the type of channel More...
int | ChannelIndex`[get, set]`
| The one-based channel ID that corresponds to the channel label on the device. More...
String | Name`[get, set]`
| The name associated with this channel. Names cannot exceed 30 characters. More...
bool | Enabled`[get, set]`
| Indicates whether this channel is enabled. If true, data will be acquired on this channel. Otherwise, no data will be acquired. More...
bool | Saved`[get, set]`
| Indicates whether this channel will be saved to internal device memory when acquiring. More...
bool | Streamed`[get, set]`
| Indicates whether channel data will be wirelessly streamed to a connected client when acquisition is started. More...
ushort | PresetCode`[get, set]`
| A code to indicate an application-specific use for this channel. More...
bool | Connected`[get, set]`
| Indicates whether this channel is connected. This is a read-only property. More...

## Detailed Description

Represents the configuration for an external sensor that is not actually connected. This is intended as a helper class to indicate that there is no sensor at a particular index.

## Constructor & Destructor Documentation

## ◆ NotConnectedExternalSensorConfiguration() [1/2]

GLNeuroTech.Devices.BioRadio.Configuration.NotConnectedExternalSensorConfiguration.NotConnectedExternalSensorConfiguration | ( |  | ) |

The default constructor for an Not Connected External Sensor Configuration

## ◆ NotConnectedExternalSensorConfiguration() [2/2]

GLNeuroTech.Devices.BioRadio.Configuration.NotConnectedExternalSensorConfiguration.NotConnectedExternalSensorConfiguration | ( | byte [] | bytes | ) |

Constructor for Not Connected External Sensor Configuration when we have a byte array passed for configuration.

Parameters

  bytes | Take an byte array configuration.